Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class ReaderWriterStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.ReaderWriterStream

public class ReaderWriterStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Constructor Summary
`ReaderWriterStream(java.io.Reader is, java.io.Writer os)`
`ReaderWriterStream(java.io.Reader is, java.io.Writer os, Path path)`

Method Summary
`boolean` | `canRead()`
`boolean` | `canWrite()`
`void` | `close()`
`void` | `flush()`
`boolean` | `getFlushOnNewline()`
`void` | `init(java.io.Reader is, java.io.Writer os)`
`int` | `read(byte[] buf, int offset, int length)`
`void` | `setCloseChildOnClose(boolean close)`
`void` | `setFlushOnNewline(boolean value)`
`void` | `write(byte[] buf, int offset, int length)`

Methods inherited from class com.caucho.vfs.StreamImpl
`clearWrite, getAttribute, getAttributeNames, getAvailable, getNewline, getPath, removeAttribute, setAttribute, setPath, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderWriterStream

    public ReaderWriterStream(java.io.Reader is,
                              java.io.Writer os)

### ReaderWriterStream

    public ReaderWriterStream(java.io.Reader is,
                              java.io.Writer os,
                              Path path)

Method Detail

### init

    public void init(java.io.Reader is,
                     java.io.Writer os)

### canRead

    public boolean canRead()

  Overrides:
    `canRead` in class `StreamImpl`

### read

    public int read(byte[] buf,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `StreamImpl`

### canWrite

    public boolean canWrite()

  Overrides:
    `canWrite` in class `StreamImpl`

### getFlushOnNewline

    public boolean getFlushOnNewline()

  Overrides:
    `getFlushOnNewline` in class `StreamImpl`

### setFlushOnNewline

    public void setFlushOnNewline(boolean value)

### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    `write` in class `StreamImpl`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `StreamImpl`

### setCloseChildOnClose

    public void setCloseChildOnClose(boolean close)

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `StreamImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD